This page was not yet optimized for use on mobile devices.
Ubuntu 16.04 OpenSSL Cryptographic Module
Certificate details
| Certificate ID | #4589 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to sunsetting |
| Validation dates | 08.09.2023 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode and installed, initialized and configured as specified in Sections 9.1 of the Security Policy. The module generates cryptographic keys whose strengths are modified by available entropy |
| Exceptions |
|
| Description | OpenSSL is an open-source library of various cryptographic algorithms written mainly in C. |
| Tested configurations |
|
| Vendor | Canonical Ltd. http://www.canonical.com |
| Lab | atsec information security corporation |
| Algorithms |
|
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, AES-128, AES-192, AES-256, AES-, DES, Triple-DES, TDES, TDEA, HMAC, HMAC-SHA-256, CMACAsymmetric Algorithms
ECDSA, ECC, Diffie-Hellman, DSAHash functions
SHA-1, SHA-224, SHA-256, SHA-384, SHA-512, MD5Schemes
MAC, Key Exchange, Key AgreementProtocols
SSH, SSLv2.0, SSL v3.0, TLS, TLS v1.0, TLSv1.2, TLSv1.0, DTLS, IKERandomness
PRNG, DRBG, RNGLibraries
OpenSSLElliptic Curves
P-224, P-256, P-384, P-521, P-192, K-283, K-409, K-571, B-233, B-283, B-409, B-571, K-163, K-233, B-163Block cipher modes
ECB, CBC, CTR, CFB, OFB, GCM, CCM, XTSTLS cipher suites
TLS_RSA_WITH_3DES_EDE_CBC_SHA, TLS_RSA_WITH_AES_128_CBC_SHA, TLS_RSA_WITH_AES_256_CBC_SHA, TLS_RSA_WITH_AES_128_CBC_SHA256, TLS_RSA_WITH_AES_256_CBC_SHA256, TLS_RSA_WITH_AES_128_GCM_SHA256, TLS_RSA_WITH_AES_256_GCM_SHA384, TLS_PSK_WITH_3DES_EDE_CBC_SHA, TLS_PSK_WITH_AES_128_CBC_SHA, TLS_PSK_WITH_AES_256_CBC_SHASecurity level
Level 1, level 1Side-channel analysis
Timing Attacks, timing attacks, Timing AttackAutomated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 4589,
"dgst": "886b73d4b098e551",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"SHS#C1305",
"ECDSA#C1269",
"Triple-DES#C1257",
"#C1260",
"#C1269",
"AES#C1270",
"HMAC#C1304",
"CVL#C1305",
"DSA#C1269",
"#C1305",
"RSA#C1305",
"#C1267",
"#C1257",
"KTS#C1305",
"SHS#C1304",
"AES#C1259",
"SHS#C1269",
"#C1266",
"AES#C1261",
"AES#C1258",
"RSA#C1304",
"HMAC#C1305",
"RSA#C1269",
"DSA#C1304",
"#C1304",
"KTS#C1257",
"#C1259",
"DRBG#C1269",
"#C1258",
"CVL#C1269",
"DRBG#C1304",
"#C1265",
"AES#C1260",
"AES#C1265",
"ECDSA#C1305",
"AES#C1266",
"CVL#C1304",
"DSA#C1305",
"KTS#C1304",
"AES#C1264",
"#C1264",
"AES#C1267",
"DRBG#C1265",
"DRBG#C1305",
"ECDSA#C1304",
"#C1261",
"#C1270",
"HMAC#C1269",
"KTS#C1269"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"16.04"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 42,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 3
},
"ECDSA": {
"ECDSA": 29
}
},
"FF": {
"DH": {
"Diffie-Hellman": 9
},
"DSA": {
"DSA": 35
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 10
},
"CCM": {
"CCM": 7
},
"CFB": {
"CFB": 1
},
"CTR": {
"CTR": 5
},
"ECB": {
"ECB": 10
},
"GCM": {
"GCM": 14
},
"OFB": {
"OFB": 6
},
"XTS": {
"XTS": 8
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {
"OpenSSL": {
"OpenSSL": 48
}
},
"crypto_protocol": {
"IKE": {
"IKE": 1
},
"SSH": {
"SSH": 1
},
"TLS": {
"DTLS": {
"DTLS": 2
},
"SSL": {
"SSL v3.0": 1,
"SSLv2.0": 1
},
"TLS": {
"TLS": 59,
"TLS v1.0": 2,
"TLSv1.0": 1,
"TLSv1.2": 2
}
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 6
},
"KEX": {
"Key Exchange": 3
},
"MAC": {
"MAC": 11
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"B-163": 2,
"B-233": 3,
"B-283": 3,
"B-409": 3,
"B-571": 3,
"K-163": 2,
"K-233": 2,
"K-283": 3,
"K-409": 3,
"K-571": 3,
"P-192": 4,
"P-224": 10,
"P-256": 12,
"P-384": 10,
"P-521": 10
}
},
"eval_facility": {
"atsec": {
"atsec": 45
}
},
"fips_cert_id": {},
"fips_certlike": {
"Certlike": {
"AES-128": 1,
"AES-192": 1,
"AES-256": 2,
"HMAC SHA-1": 1,
"HMAC-SHA-256": 2,
"PKCS#1": 6,
"SHA 1": 1,
"SHA 224": 1,
"SHA 256": 1,
"SHA 384": 1,
"SHA 512": 1,
"SHA- 1": 1,
"SHA-1": 16,
"SHA-224": 18,
"SHA-256": 29,
"SHA-384": 18,
"SHA-512": 9,
"SHA-512 1024": 2,
"SHA-512 112": 3,
"SHA-512 2048": 2,
"SHA-512 4096": 3
}
},
"fips_security_level": {
"Level": {
"Level 1": 2,
"level 1": 2
}
},
"hash_function": {
"MD": {
"MD5": {
"MD5": 7
}
},
"SHA": {
"SHA1": {
"SHA-1": 16
},
"SHA2": {
"SHA-224": 18,
"SHA-256": 29,
"SHA-384": 18,
"SHA-512": 19
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 33,
"PRNG": 2
},
"RNG": {
"RNG": 1
}
},
"side_channel_analysis": {
"SCA": {
"Timing Attack": 1,
"Timing Attacks": 2,
"timing attacks": 1
}
},
"standard_id": {
"FIPS": {
"FIPS 140-2": 54,
"FIPS 186-4": 3,
"FIPS 198-1": 2,
"FIPS PUB 140-2": 2,
"FIPS140-2": 1,
"FIPS180-4": 5,
"FIPS186-2": 3,
"FIPS186-4": 13,
"FIPS197": 2,
"FIPS198-1": 4
},
"NIST": {
"SP 800-57": 1
},
"PKCS": {
"PKCS#1": 3
},
"RFC": {
"RFC2246": 5,
"RFC3268": 3,
"RFC4253": 1,
"RFC4279": 7,
"RFC4346": 2,
"RFC4492": 1,
"RFC5116": 3,
"RFC5246": 6,
"RFC5288": 4,
"RFC5487": 9,
"RFC5489": 1,
"RFC6655": 7,
"RFC7251": 1,
"RFC7296": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 81,
"AES-": 1,
"AES-128": 1,
"AES-192": 1,
"AES-256": 2
}
},
"DES": {
"3DES": {
"TDEA": 1,
"TDES": 4,
"Triple-DES": 35
},
"DES": {
"DES": 3
}
},
"constructions": {
"MAC": {
"CMAC": 10,
"HMAC": 31,
"HMAC-SHA-256": 1
}
}
},
"tee_name": {},
"tls_cipher_suite": {
"TLS": {
"TLS_PSK_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_PSK_WITH_AES_128_CBC_SHA": 1,
"TLS_PSK_WITH_AES_256_CBC_SHA": 1,
"TLS_RSA_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_RSA_WITH_AES_128_CBC_SHA": 1,
"TLS_RSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_RSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_RSA_WITH_AES_256_CBC_SHA": 1,
"TLS_RSA_WITH_AES_256_CBC_SHA256": 1,
"TLS_RSA_WITH_AES_256_GCM_SHA384": 1
}
},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"SHS#C1305",
"ECDSA#C1269",
"Triple-DES#C1257",
"AES#C1270",
"HMAC#C1304",
"CVL#C1305",
"DSA#C1269",
"RSA#C1305",
"KTS#C1305",
"SHS#C1304",
"AES#C1259",
"SHS#C1269",
"AES#C1261",
"AES#C1258",
"RSA#C1304",
"HMAC#C1305",
"RSA#C1269",
"DSA#C1304",
"KTS#C1257",
"DRBG#C1269",
"CVL#C1269",
"DRBG#C1304",
"AES#C1260",
"AES#C1265",
"ECDSA#C1305",
"AES#C1266",
"CVL#C1304",
"DSA#C1305",
"KTS#C1304",
"AES#C1264",
"AES#C1267",
"DRBG#C1265",
"DRBG#C1305",
"ECDSA#C1304",
"HMAC#C1269",
"KTS#C1269"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#C1260",
"#C1261",
"#C1304",
"#C1264",
"#C1269",
"#C1259",
"#C1305",
"#C1267",
"#C1258",
"#C1257",
"#C1270",
"#C1265",
"#C1266"
]
},
"policy_metadata": {
"/CreationDate": "D:20230905211647Z00\u002700\u0027",
"/Creator": "Word",
"/ModDate": "D:20230905211647Z00\u002700\u0027",
"/Producer": "macOS Version 13.3.1 (a) (Build 22E772610a) Quartz PDFContext",
"/Title": "Microsoft Word - UbuntuOpenSSL-SecurityPolicy.doc",
"pdf_file_size_bytes": 824593,
"pdf_hyperlinks": {
"_type": "Set",
"elements": []
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 43
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "a0ae2552b06dc256bb3c41bb56229c3657d4042f1421e5a7188475a066481ebf",
"source_hash": "60825a51ff5c71e0ae1c82d5b4f8b98cb97173d2f2aac56eef66a90a9860a8cf",
"txt_hash": "ebcab1582f1dc99202968d632d2a7f2f255a28203c855b3439ea7d49db96b59e"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode and installed, initialized and configured as specified in Sections 9.1 of the Security Policy. The module generates cryptographic keys whose strengths are modified by available entropy",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/September 2023_101023_1100 signed (2).pdf",
"date_sunset": null,
"description": "OpenSSL is an open-source library of various cryptographic algorithms written mainly in C.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical Security: N/A"
],
"fw_versions": null,
"historical_reason": "Moved to historical list due to sunsetting",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "Ubuntu 16.04 OpenSSL Cryptographic Module",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "2.0",
"tested_conf": [
"Ubuntu 16.04 LTS 64-bit running on Supermicro SYS-5018R-WR with Intel Xeon E5 with PAA",
"Ubuntu 16.04 LTS 64-bit running on Supermicro SYS-5018R-WR with Intel Xeon E5 without PAA (single-user mode)"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2023-09-08",
"lab": "atsec information security corporation",
"validation_type": "Initial"
}
],
"vendor": "Canonical Ltd.",
"vendor_url": "http://www.canonical.com"
}
}